MS12-038: Vulnerability in .NET Framework Could Allow Remote Code Execution (2706726)

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The .NET Framework installed on the remote Windows host could allow
arbitrary code execution.

Description :

The version of the .NET Framework installed on the remote host is
affected by a code execution vulnerability due to the improper
execution of a function pointer.

A remote, unauthenticated attacker could execute arbitrary code on
the remote host subject to the privileges of the user running the
affected application.

See also :

http://www.zerodayinitiative.com/advisories/ZDI-12-141/
http://www.securityfocus.com/archive/1/523936/30/0/threaded
http://technet.microsoft.com/en-us/security/Bulletin/MS12-038

Solution :

Microsoft has released a set of patches for .NET Framework 2.0, 3.5,
and 4.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.7
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 59456 ()

Bugtraq ID: 53861

CVE ID: CVE-2012-1855